Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class LatherUtil

    java.lang.Object
      org.hyperic.hq.autoinventory.LatherUtil

    public class LatherUtil

extends Object

Utility methods to encode/decode LatherValue objects for methods that are not invoked via the lather servlet.

Constructor Summary
`LatherUtil()`

Method Summary
`static org.hyperic.lather.LatherValue` | `decode(String value, Class resClass)`
`static org.hyperic.lather.LatherValue` | `deserialize(byte[] value, Class resClass)`
`static String` | `encode(org.hyperic.lather.LatherValue value)`
`static byte[]` | `serialize(org.hyperic.lather.LatherValue value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatherUtil

    public LatherUtil()

Method Detail

### serialize

    public static byte[] serialize(org.hyperic.lather.LatherValue value)
                            throws IOException

  Throws:
    `IOException`

### encode

    public static String encode(org.hyperic.lather.LatherValue value)
                         throws IOException

  Throws:
    `IOException`

### deserialize

    public static org.hyperic.lather.LatherValue deserialize(byte[] value,
                                                             Class resClass)
                                                      throws IOException

  Throws:
    `IOException`

### decode

    public static org.hyperic.lather.LatherValue decode(String value,
                                                        Class resClass)
                                                 throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.